StatisticsSummaryConsumer (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.report.processor, class: StatisticsSummaryConsumer

Package org.apache.jmeter.report.processor

# Class StatisticsSummaryConsumer

java.lang.Object
org.apache.jmeter.report.processor.AbstractSampleProcessor
org.apache.jmeter.report.processor.AbstractSampleConsumer
org.apache.jmeter.report.processor.AbstractSummaryConsumer<StatisticsSummaryData>
org.apache.jmeter.report.processor.StatisticsSummaryConsumer

All Implemented Interfaces:
  `SampleConsumer`, `SampleProcessor`, `SampleProducer`

public class StatisticsSummaryConsumer extends AbstractSummaryConsumer<StatisticsSummaryData>
The class StatisticsSummaryConsumer provides a consumer that calculates:

- total number of samples
- errors
- error %
- mean response time
- median response time
- percentile 1 (90% by default)
- percentile 2 (95% by default)
- percentile 3 (99% by default)
- throughput
- received bytes per second
- sent bytes per second
- min
- max

Since:
  3.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.jmeter.report.processor.AbstractSummaryConsumer

  `AbstractSummaryConsumer.SummaryInfo`

- ## Field Summary

  ### Fields inherited from class org.apache.jmeter.report.processor.AbstractSummaryConsumer

  `RESULT_VALUE_DATA, RESULT_VALUE_IS_CONTROLLER, RESULT_VALUE_ITEMS, RESULT_VALUE_OVERALL, RESULT_VALUE_SUPPORTS_CONTROLLERS_DISCRIMINATION, RESULT_VALUE_TITLES`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatisticsSummaryConsumer()`
  Instantiates a new statistics summary consumer.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ListResultData`
  `createDataResult(String key, StatisticsSummaryData data)`
  Creates a result item for information identified by the specified key.
  `protected ListResultData`
  `createResultTitles()`
  Creates the result containing titles of columns.
  `protected String`
  `getKeyFromSample(Sample sample)`
  Gets the identifier key from sample.
  This key is use identify the SummaryInfo linked with the sample
  `protected void`
  `updateData(AbstractSummaryConsumer<StatisticsSummaryData>.SummaryInfo info, Sample sample)`
  Update the stored data with the data from the specified sample.

  ### Methods inherited from class org.apache.jmeter.report.processor.AbstractSummaryConsumer

  `consume, getOverallInfo, getSummaryInfos, hasOverallResult, setHasOverallResult, startConsuming, stopConsuming, suppportsControllersDiscrimination`

  ### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleConsumer

  `addSampleConsumer, getConsumedChannelCount, getConsumedMetadata, getConsumer, getDataFromContext, getName, getWorkingDirectory, produce, removeSampleConsumer, setChannelAttribute, setConsumedMetadata, setDataToContext, setName, setProducedMetadata, setSampleConsumer, setSampleConsumers, setSampleContext, startProducing, stopProducing`

  ### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleProcessor

  `getChannelAttribute, getSampleContext`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.jmeter.report.processor.SampleProcessor

  `getChannelAttribute, getSampleContext`

- ## Constructor Details

  - ### StatisticsSummaryConsumer

    public StatisticsSummaryConsumer()
    Instantiates a new statistics summary consumer.

- ## Method Details

  - ### updateData

    protected void updateData(AbstractSummaryConsumer<StatisticsSummaryData>.SummaryInfo info, Sample sample)
    Description copied from class: `AbstractSummaryConsumer`
    Update the stored data with the data from the specified sample.
    Specified by:
      `updateData` in class `AbstractSummaryConsumer<StatisticsSummaryData>`
    Parameters:
      `info` - SummaryInfo
      `sample` - the sample

  - ### createDataResult

    protected ListResultData createDataResult(String key, StatisticsSummaryData data)
    Description copied from class: `AbstractSummaryConsumer`
    Creates a result item for information identified by the specified key.
    Specified by:
      `createDataResult` in class `AbstractSummaryConsumer<StatisticsSummaryData>`
    Parameters:
      `key` - the key
      `data` - the data
    Returns:
      the list result data

  - ### getKeyFromSample

    protected String getKeyFromSample(Sample sample)
    Description copied from class: `AbstractSummaryConsumer`
    Gets the identifier key from sample.
    This key is use identify the SummaryInfo linked with the sample
    Specified by:
      `getKeyFromSample` in class `AbstractSummaryConsumer<StatisticsSummaryData>`
    Parameters:
      `sample` - the sample
    Returns:
      the key identifying the sample

  - ### createResultTitles

    protected ListResultData createResultTitles()
    Description copied from class: `AbstractSummaryConsumer`
    Creates the result containing titles of columns.
    Specified by:
      `createResultTitles` in class `AbstractSummaryConsumer<StatisticsSummaryData>`
    Returns:
      the list of titles